document.addEventListener('DOMContentLoaded', function () {
  const ingredientsContainer = document.getElementById('ingredients-container');
  const addIngredientButton = document.getElementById('add-ingredient');
  const recipeForm = document.getElementById('recipe-form');
  const totalCostDisplay = document.getElementById('total-cost');

  addIngredientButton.addEventListener('click', function () {
    const newIngredient = document.createElement('div');
    newIngredient.classList.add('ingredient');
    newIngredient.innerHTML = `
      <input type="text" placeholder="Ingredient Name" required>
      <input type="number" placeholder="Cost (per unit)" step="0.01" required>
      <input type="number" placeholder="Quantity" step="0.01" required>
      <button type="button" class="remove-ingredient">×</button>
    `;
    ingredientsContainer.appendChild(newIngredient);

    newIngredient.querySelector('.remove-ingredient').addEventListener('click', function () {
      ingredientsContainer.removeChild(newIngredient);
    });
  });

  recipeForm.addEventListener('submit', function (event) {
    event.preventDefault();
    let totalCost = 0;

    const ingredients = ingredientsContainer.querySelectorAll('.ingredient');
    ingredients.forEach(ingredient => {
      const cost = parseFloat(ingredient.querySelector('input[type="number"]:nth-of-type(1)').value);
      const quantity = parseFloat(ingredient.querySelector('input[type="number"]:nth-of-type(2)').value);
      totalCost += cost * quantity;
    });

    totalCostDisplay.textContent = `$${totalCost.toFixed(2)}`;
  });
});